var _excluded = ["map", "onZoomIn", "onZoomOut"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React, { useImperativeHandle, forwardRef, useRef } from 'react';

// 缩放控件
function ZoomControl(_ref, ref) {
  var map = _ref.map,
    onZoomIn = _ref.onZoomIn,
    onZoomOut = _ref.onZoomOut,
    props = _objectWithoutProperties(_ref, _excluded);
  // 容器
  var rootRef = useRef(null);
  useImperativeHandle(ref, function () {
    return {
      rootDOM: rootRef.current,
      getRootDOM: function getRootDOM() {
        return rootRef.current;
      },
      zoomOut: zoomOut,
      zoomIn: zoomIn
    };
  });

  // 缩小地图
  function zoomOut() {
    map.zoomOut();
    onZoomOut && onZoomOut(map);
  }

  // 放大地图
  function zoomIn() {
    map.zoomIn();
    onZoomIn && onZoomIn(map);
  }
  return /*#__PURE__*/React.createElement("div", _extends({}, props, {
    ref: rootRef,
    className: "map-zoomControl".concat(props.className ? ' ' + props.className : '')
  }), /*#__PURE__*/React.createElement("div", {
    className: "map-zoomControl-in",
    onClick: zoomIn
  }, /*#__PURE__*/React.createElement("div", {
    className: "map-zoomControl-icon"
  })), /*#__PURE__*/React.createElement("div", {
    className: "map-zoomControl-out",
    onClick: zoomOut
  }, /*#__PURE__*/React.createElement("div", {
    className: "map-zoomControl-icon"
  })));
}
export default /*#__PURE__*/forwardRef(ZoomControl);